> ## Documentation Index
> Fetch the complete documentation index at: https://docs.area.club/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve staker nodes for a LAT

> Returns all staker nodes associated with a specific LAT address



## OpenAPI

````yaml get /lat/{address}/staker-nodes
openapi: 3.0.3
info:
  title: Area API
  description: >-
    Area is a decentralized, non-custodial liquid restaking protocol that allows
    users to directly restake into networks and services.
  version: 1.0.0
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.area.club
    description: Area Production API
security: []
paths:
  /lat/{address}/staker-nodes:
    get:
      tags:
        - LAT
      summary: Retrieve staker nodes for a LAT
      description: Returns all staker nodes associated with a specific LAT address
      operationId: getLatStakerNodes
      parameters:
        - in: path
          name: address
          description: LAT contract address (proxy)
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            description: LAT contract address (proxy)
            example: '0x94a2a0548681fda8d5e2ad5a8eeecd891e02a613'
          required: true
      responses:
        '200':
          description: Staker Nodes for the specified LAT
          content:
            application/json:
              schema:
                type: object
                properties:
                  address:
                    type: string
                    pattern: ^0x[a-fA-F0-9]{40}$
                    description: The address of the LAT (proxy)
                    example: '0x94a2a0548681fda8d5e2ad5a8eeecd891e02a613'
                  maxNodes:
                    type: number
                    description: Maximum number of nodes allowed
                    example: 10
                  stakerNodes:
                    type: array
                    items:
                      type: object
                      properties:
                        address:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: The address of the Staker Node
                          example: '0x726b7b686745805a5941cc39aa761eca2f570a79'
                        nodeId:
                          type: number
                          description: The ID of the node
                          example: 0
                        operatorDelegation:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: The address of the EigenLatyer Operator delegated to
                          example: '0x5accc90436492f24e6af278569691e2c942a676d'
                        liquidTokenAddress:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: The address of the LAT
                          example: '0xfd186d28c03a2847eaa9365847547466166d706b'
                        createdAtBlock:
                          type: number
                          description: The block when the node was created
                          example: 22043696
                        createdAt:
                          type: string
                          description: The timestamp when the node was created
                          example: '2025-03-14T07:41:47.000Z'
                        updatedAtBlock:
                          type: number
                          description: The block when the node was last updated
                          example: 22043699
                        updatedAt:
                          type: string
                          description: The timestamp when the node was last updated
                          example: '2025-03-14T07:41:50.000Z'
                        assets:
                          type: array
                          items:
                            type: object
                            properties:
                              nodeAddress:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                                description: The address of the node
                                example: '0x726b7b686745805a5941cc39aa761eca2f570a79'
                              asset:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                                description: Asset contract address
                                example: '0xae7ab96520de3a18e5e111b5eaab095312d7fe84'
                              strategy:
                                type: string
                                pattern: ^0x[a-fA-F0-9]{40}$
                                description: Strategy contract address
                                example: '0x93c4b944D05dfe6df7645A86cd2206016c51564D'
                              stakedAmount:
                                type: string
                                description: Amount staked in wei
                                example: '7500000000000000000'
                              eigenLayerShares:
                                type: string
                                description: Number of EigenLayer shares
                                example: '7071856349086192297'
                            required:
                              - nodeAddress
                              - asset
                              - strategy
                              - stakedAmount
                              - eigenLayerShares
                          description: Assets staked by the node
                      required:
                        - address
                        - nodeId
                        - operatorDelegation
                        - liquidTokenAddress
                        - createdAtBlock
                        - createdAt
                        - updatedAtBlock
                        - updatedAt
                        - assets
                    description: List of Staker Nodes
                required:
                  - address
                  - maxNodes
                  - stakerNodes
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#bad_request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#not_found
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#internal_server_error
                required:
                  - code
                  - message
            required:
              - error

````